Bug 1247455 - [abrt] xarchiver: __readdir64(): xarchiver killed by SIGSEGV
[abrt] xarchiver: __readdir64(): xarchiver killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xarchiver (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:03fbf1a1599c562b0a5d39eaefd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 00:21 EDT by robert fairbrother
Modified: 2016-07-19 13:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:13:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.54 KB, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: cgroup (177 bytes, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: core_backtrace (1.53 KB, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: dso_list (7.39 KB, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: environ (1.37 KB, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: maps (25.26 KB, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: mountinfo (3.66 KB, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: open_fds (1.00 KB, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: proc_pid_status (821 bytes, text/plain)
2015-07-28 00:21 EDT, robert fairbrother
no flags Details
File: var_log_messages (311 bytes, text/plain)
2015-07-28 00:22 EDT, robert fairbrother
no flags Details

  None (edit)
Description robert fairbrother 2015-07-28 00:21:48 EDT
Description of problem:
recommend look through other bugs noobusinghacks@gmail.com rob2098@gmail.com

Version-Release number of selected component:
xarchiver-0.5.2-21.fc22

Additional info:
reporter:       libreport-2.6.1
backtrace_rating: 4
cmdline:        xarchiver --add-to=/run/media/robbie/3bee52d1-c1c3-4d05-bc09-87210abcc0de /run/media/robbie/19db078e-26a9-459e-8765-b98e8aee9e08 /run/media/robbie/dc4e4a0b-e003-4604-a0db-69eef3414cf6
crash_function: __readdir64
executable:     /usr/bin/xarchiver
global_pid:     6682
kernel:         4.0.8-300.fc22.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 __readdir64 at ../sysdeps/posix/readdir.c:44
 #1 xa_recurse_local_directory at string_utils.c:335
 #3 xa_execute_add_commands at add_dialog.c:494
Comment 1 robert fairbrother 2015-07-28 00:21:51 EDT
Created attachment 1056872 [details]
File: backtrace
Comment 2 robert fairbrother 2015-07-28 00:21:51 EDT
Created attachment 1056873 [details]
File: cgroup
Comment 3 robert fairbrother 2015-07-28 00:21:52 EDT
Created attachment 1056874 [details]
File: core_backtrace
Comment 4 robert fairbrother 2015-07-28 00:21:53 EDT
Created attachment 1056875 [details]
File: dso_list
Comment 5 robert fairbrother 2015-07-28 00:21:54 EDT
Created attachment 1056876 [details]
File: environ
Comment 6 robert fairbrother 2015-07-28 00:21:55 EDT
Created attachment 1056877 [details]
File: limits
Comment 7 robert fairbrother 2015-07-28 00:21:56 EDT
Created attachment 1056878 [details]
File: maps
Comment 8 robert fairbrother 2015-07-28 00:21:57 EDT
Created attachment 1056879 [details]
File: mountinfo
Comment 9 robert fairbrother 2015-07-28 00:21:57 EDT
Created attachment 1056880 [details]
File: namespaces
Comment 10 robert fairbrother 2015-07-28 00:21:58 EDT
Created attachment 1056881 [details]
File: open_fds
Comment 11 robert fairbrother 2015-07-28 00:21:59 EDT
Created attachment 1056882 [details]
File: proc_pid_status
Comment 12 robert fairbrother 2015-07-28 00:22:00 EDT
Created attachment 1056883 [details]
File: var_log_messages
Comment 13 robert fairbrother 2015-07-28 00:25:11 EDT
Another user experienced a similar problem:

recommend look through other bugs noobusinghacks@gmail.com rob2098@gmail.com

reporter:       libreport-2.6.1
backtrace_rating: 4
cmdline:        xarchiver
crash_function: __readdir64
executable:     /usr/bin/xarchiver
global_pid:     6821
kernel:         4.0.8-300.fc22.i686
package:        xarchiver-0.5.2-21.fc22
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 robert fairbrother 2015-07-29 03:25:59 EDT
https://bugzilla.ipfire.org/show_bug.cgi?id=10904
Comment 15 robert fairbrother 2015-07-29 03:27:08 EDT
may be related to
https://bugzilla.ipfire.org/show_bug.cgi?id=10904
links to some archives i attempted to create
Comment 16 Fedora End Of Life 2016-07-19 13:13:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.